Subject: [sipcore] question about B2B and Forking

From: Ofer Goren <[email-masked]>
Date: Sun, 17 Feb 2013 16:23:04 +0000

Hi All.
I know B2B behavior is not defined with too much details in the relevant SIP RFCs. I do ask for your opinion:
In forking scenarios, if B2B forks an INVITE to several UAS-es, should it forward downstream all the provisional responses to the generating UAC? Or, should it forward only one," absorbing" the rest? Should it even wait for provisional responses, or should it generates its own toward the UAC, independent to the upstream side of the session?
If it should forward all provisional responses downstream, it in fact creates several early dialogs for which it should also handle transactions such as PRACK (in case of reliable provisional responses), or UPDATEs and such.

So what do you think a B2B should do?

Thanks!
Ofer

_______________________________________________________________
If you lend someone $20, and never see that person again, it was probably worth the investment.

---

From: Brett Tate <[email-masked]>
Date: Sun, 17 Feb 2013 17:30:13 +0000

Hi Ofer,

The appropriate behavior depends upon the functionality that the B2BUA is providing.

Within normal call originations with devices compliant to RFC 3261, RFC 3262, and RFC 3311, it is typically best to act more like a proxy.

However since there are still devices that don't support RFC 3262, RFC 3311, or forking proxies, the B2BUA might have to act differently for interoperability reasons.  Similarly, the B2BUA may need to act differently for service reasons.

From: [email-masked] [mailto:[email-masked]] On Behalf Of Ofer Goren
Sent: Sunday, February 17, 2013 11:23 AM
To: [email-masked]
Subject: [sipcore] question about B2B and Forking

Hi All.

Thanks!
Ofer

---

From: Ofer Goren <[email-masked]>
Date: Wed, 20 Feb 2013 17:58:56 +0000

Hi Brett.

Why do you think those 3 RFCs suggest that B2BUAs should act as proxies for UPDATE and 18x reliable responses? I'm not sure I follow.

Ofer

From: Brett Tate [mailto:[email-masked]]
Sent: Sunday, February 17, 2013 7:30 PM
To: Ofer Goren; [email-masked]
Subject: RE: question about B2B and Forking

Hi Ofer,

From: [email-masked]<mailto:[email-masked]> [mailto:[email-masked]] On Behalf Of Ofer Goren
Sent: Sunday, February 17, 2013 11:23 AM
To: [email-masked]<mailto:[email-masked]>
Subject: [sipcore] question about B2B and Forking

Hi All.

Thanks!
Ofer

---

From: Brett Tate <[email-masked]>
Date: Wed, 20 Feb 2013 18:33:13 +0000

I don't.  I indicated that it is typically best for B2BUA to act more like a proxy (i.e. to avoid breaking things that work with proxies) unless there are service or interoperability reasons to do otherwise.

The following STRAW draft may be interest to you since there are all kinds of B2BUAs: draft-ietf-straw-b2bua-taxonomy.

From: Ofer Goren [mailto:[email-masked]]
Sent: Wednesday, February 20, 2013 12:59 PM
To: Brett Tate; [email-masked]
Subject: RE: question about B2B and Forking

Hi Brett.

Ofer

From: Brett Tate [mailto:[email-masked]]
Sent: Sunday, February 17, 2013 7:30 PM
To: Ofer Goren; [email-masked]<mailto:[email-masked]>
Subject: RE: question about B2B and Forking

Hi Ofer,

Hi All.

Thanks!
Ofer